SBCAST(1)

NAME
sbcast - transmit a file to the nodes allocated to a SLURM job.

SYNOPSIS
sbcast [-CfpvV] SOURCE DEST

DESCRIPTION
sbcast is used to transmit a file to all nodes allocated to the currenly active SLURM job. This command should only be executed from within a SLURM batch job or within the shell spawned after a SLURM job's resource allocation. SOURCE is the name of a file on the current node. DEST should be the fully qualified pathname for the file copy to be created on each node. DEST should be on a file system local to that node. Note that parallel file systems may provide better performance than sbcast can provide, particularly for larger files (over one megabyte).

OPTIONS

-C, --compress
    Compress the file being transmitted.

-f, --force
    If the destination file already exists, replace it.

-p, --preserve
    Preserves modification times, access times, and modes from the original file.

-v, --verbose
    Provide detailed event logging through program execution.

-V, --version
    Print version information and exit.

ENVIRONMENT VARIABLES

Some sbcast options may be set via environment variables. These environment variables, along with their corresponding options, are listed below. (Note: Command line options will always override these settings.)

SBCAST_COMPRESS
    -C, --compress

SBCAST_FORCE
    -f, --force

SBCAST_PRESERVE
    -p, --preserve

EXAMPLE
Using a batch script, transmit local file my.prog to /tmp/my.proc on the local nodes and then execute it.
> cat my.job
#!/bin/bash
sbcast my.prog /tmp/my.prog
srun /tmp/my.prog
> srun --nodes=8 --batch my.job
srun: jobid 12345 submitted

COPYING
Copyright (C) 2006 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-217948.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
srun(1)